## CajaModule CajaModule — Initialize an extension |

## Functions

GType | caja_operation_result_get_type ()
void | caja_module_initialize ()
void | caja_module_shutdown ()
void | caja_module_list_types ()
void | caja_module_list_pyfiles ()

## Types and Values

#define | CAJA_TYPE_OPERATION_RESULT
| CajaOperationHandle
enum | CajaOperationResult

## Object Hierarchy

        GEnum
        ╰── CajaOperationResult

## Includes

    #include <libcaja-extension/caja-extension-types.h>

## Description

Methods that each extension implements.

## Functions

### caja_operation_result_get_type ()

    GType
    caja_operation_result_get_type (void);

### caja_module_initialize ()

    void
    caja_module_initialize (GTypeModule *module);

### caja_module_shutdown ()

    void
    caja_module_shutdown (void);

### caja_module_list_types ()

    void
    caja_module_list_types (const GType **types,
                            int *num_types);

### caja_module_list_pyfiles ()

    void
    caja_module_list_pyfiles (GList **pyfiles);

## Types and Values

### CAJA_TYPE_OPERATION_RESULT

    #define CAJA_TYPE_OPERATION_RESULT (caja_operation_result_get_type ())

### CajaOperationHandle

    typedef struct _CajaOperationHandle CajaOperationHandle;

Handle for asynchronous interfaces. These are opaque handles that must be unique within an extension object. These are returned by operations that return CAJA_OPERATION_IN_PROGRESS.

### enum CajaOperationResult

#### Members

CAJA_OPERATION_COMPLETE | the operation succeeded, and the extension is done with the request. |
CAJA_OPERATION_FAILED | the operation failed. |
CAJA_OPERATION_IN_PROGRESS | the extension has begin an async operation. When this value is returned, the extension must set the handle parameter and call the callback closure when the operation is complete. |